-- 基础信息
base_info = {
	group_id = 247004008
}

-- DEFS_MISCS
local GroupId = 247004008
local point_id_list = {}
local MainGroupID = 247004001
local RegionID = 8001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 8001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = -79.994, y = -0.582, z = 239.957 } }
}

-- 触发器
triggers = {
	{ config_id = 1008001, name = "ENTER_REGION_8001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 8002, pos = { x = -83.929, y = -0.525, z = 247.625 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 8003, pos = { x = -75.845, y = -0.527, z = 247.571 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 8004, pos = { x = -79.949, y = -0.531, z = 248.515 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 8005, pos = { x = -87.106, y = -0.511, z = 246.409 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 2 },
	{ config_id = 8006, pos = { x = -72.885, y = -0.518, z = 245.969 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 2 },
	{ config_id = 8007, pos = { x = -88.326, y = -0.527, z = 243.688 }, rot = { x = 0.000, y = 110.000, z = 0.000 }, tag = 2 },
	{ config_id = 8008, pos = { x = -71.218, y = -0.522, z = 243.703 }, rot = { x = 0.000, y = 250.000, z = 0.000 }, tag = 2 },
	{ config_id = 8009, pos = { x = -88.577, y = -0.532, z = 239.982 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 8010, pos = { x = -71.116, y = -0.524, z = 239.998 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 8011, pos = { x = -79.915, y = -0.518, z = 248.055 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 8012, pos = { x = -85.700, y = -0.507, z = 247.122 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 4 },
	{ config_id = 8013, pos = { x = -74.224, y = -0.532, z = 247.088 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 4 },
	{ config_id = 8014, pos = { x = -88.644, y = -0.524, z = 242.443 }, rot = { x = 0.000, y = 100.000, z = 0.000 }, tag = 4 },
	{ config_id = 8015, pos = { x = -71.094, y = -0.526, z = 242.449 }, rot = { x = 0.000, y = 260.000, z = 0.000 }, tag = 4 },
	{ config_id = 8016, pos = { x = -88.630, y = -0.530, z = 237.559 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 8017, pos = { x = -71.187, y = -0.531, z = 237.614 }, rot = { x = 0.000, y = 280.000, z = 0.000 }, tag = 4 },
	{ config_id = 8018, pos = { x = -85.652, y = -0.532, z = 232.891 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 4 },
	{ config_id = 8019, pos = { x = -74.294, y = -0.532, z = 232.807 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 4 },
	{ config_id = 8020, pos = { x = -80.013, y = -0.532, z = 232.012 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 8021, pos = { x = -87.129, y = -0.490, z = 247.139 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 8022, pos = { x = -72.849, y = -0.515, z = 247.142 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 8 },
	{ config_id = 8023, pos = { x = -87.127, y = -0.532, z = 232.788 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 8 },
	{ config_id = 8024, pos = { x = -72.926, y = -0.532, z = 232.866 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 8025, pos = { x = -79.824, y = -0.515, z = 247.387 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 8026, pos = { x = -80.022, y = -0.532, z = 232.630 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 8027, pos = { x = -88.104, y = -0.532, z = 239.961 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 8 },
	{ config_id = 8028, pos = { x = -71.728, y = -0.529, z = 239.926 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 8029, pos = { x = -87.998, y = -0.531, z = 235.896 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 8 },
	{ config_id = 8030, pos = { x = -72.031, y = -0.523, z = 243.335 }, rot = { x = 0.000, y = 240.000, z = 0.000 }, tag = 8 },
	{ config_id = 8031, pos = { x = -76.592, y = -0.532, z = 232.313 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 8032, pos = { x = -83.844, y = -0.507, z = 247.235 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 8001 },
		triggers = { "ENTER_REGION_8001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
